Subject: [PATCH net-next 0/4] packet: Sock-diag extension for packet sockets (beginning)

From: Pavel Emelyanov <[email-masked]>
Date: Mon, 13 Aug 2012 19:47:40 +0400

There's a set of stuff residing on a AF_PACKET socket which is currently
write-only -- rings, copy_thresh and mclist. But we need to know these
while doing the checkpoint-restore.

As a solution for the similar problem with unix sockets, the sock-diag
engine was developed, so here's the basic implementation of the packet
sockets extension. It doesn't report rings, fanout and stats, but it can
be easily added later.

I'd like to mention, that it's not a strict requirement, that the diag is
used for getting info about sockets, it would be perfectly fine just to
fix the packet getsockopt callback to return the desired info. So, if the
diag for packet sockets is for any reason unacceptable, just let me know.

Thanks,
Pavel